#include <stdio.h>
#include <unistd.h>
#include <asm/io.h>

#define BASE 0x278

int main()
{
	int input = 0;
	
	if (ioperm(BASE,3,1))
	{
		printf("Problem!\n");
	}

	outb(0,BASE);
	input = inb(BASE+2);
	printf("Param: %d\n",input);
	outb(204,BASE+2);

	while (input >= 0)
	{
		input = inb(BASE);
		printf("Input %d\n",input);
		getchar();
//		printf("Output: ");
//		scanf("%s",&input);
//		outb(input,BASE);
//		scanf("%s",&input);
	}
}
